<script setup>
const props = defineProps({
  to: {
    type: String,
    required: true,
  },

  bgPath: {
    type: String,
    default: '',
  },
});
</script>

<template>
  <NuxtLink
    :class="[
      'font-cream',
      'text-center',
      'text-white',
      'text-2xl',
      'uppercase',
      'bg-no-repeat',
      'bg-contain',
      'w-[225px]',
      'h-[80px]',
      'mx-auto',
      'p-4',
      'mb-8',
      'transition-opacity',
      'hover:underline',
      'hover:opacity-80',
      'active:opacity-70',
    ]"
    :style="{ backgroundImage: `url('${props.bgPath}')` }"
    :to="props.to"
  >
    <slot />
  </NuxtLink>
</template>
